Tuesday, April 24, 2018

IBM Notes 9.0.1 Fp9/Fp10 upgrade fail with "signature has exipered 19 apr.". Waiting the fix 2 workarounds are available

During last hours I've read some tweet and Facebook messages about issue regarding upgrade to Notes 9.0. FP10 .

The error was something like:

    "CWPST1015W: Plugin com.ibm.rcp.provisioning.feature_9.0.1.20170629-1747 failed to install. The reason provided is CWPST1002W: Signature has expired

    CWPST1015W: Plugin com.ibm.rcp.provisioning.feature_9.0.1.20170629-1747 failed to install. The reason provided is CWPST1002W: Signature has expired java.security.cert.CertificateExpiredException: NotAfter: Thu Apr 19 18:59:59 CDT 2018"
Support is aware of the issue and has published a technote and I strong suggets you to follow this technote waiting the definitive fix (probably an upgraded FP10 package).

There are 2 workaround available:

  • change the date of the computer and pick one  prior  19 April 2018, perform the upgrade and change the date back to the present..
  • place "com.ibm.rcp.security.update/EXPIRED_SIGNATURE_POLICY=ALLOW" inside the
    plugin_customization.ini and install the FP (thanks Daniel Nashed) . Remember to delete this setting after the upgrade



I suppose during next hours will be published an upgraded package of the FP10 so please keep an eye on the technote or on Twitter support account.



No comments:

Post a Comment